local playerGUID = UnitGUID("player")
local combatLogFrame = CreateFrame("Frame")
combatLogFrame:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")
combatLogFrame:SetScript("OnEvent", function(self, event) 
	self:OnEvent(event, CombatLogGetCurrentEventInfo())
end)
SendSystemMessage("vGrit loaded")


function combatLogFrame:OnEvent(event, ...)
	local timestamp, subevent, _, sourceGUID, sourceName, sourceFlags, sourceRaidFlags, destGUID, destName, destFlags, destRaidFlags = ...
	local spellId, spellName, spellSchool
	local amount, overkill, school, resisted, blocked, absorbed, critical, glancing, crushing, isOffHand

	if subevent == "SWING_DAMAGE" then
		amount, overkill, school, resisted, blocked, absorbed, critical, glancing, crushing, isOffHand = select(12, ...)
	elseif subevent == "SPELL_DAMAGE" then
		spellId, spellName, spellSchool, amount, overkill, school, resisted, blocked, absorbed, critical, glancing, crushing, isOffHand = select(12, ...)
    elseif subevent == "RANGE_DAMAGE" then
		spellId, spellName, spellSchool, amount, overkill, school, resisted, blocked, absorbed, critical, glancing, crushing, isOffHand = select(12, ...)
    end
	
	if critical and sourceGUID == playerGUID then
		C_Timer.After(.5, playSound)
	end
end

function playSound()
	local randyell = math.random (6)
	if (randyell == 1) then
	PlaySoundFile("Interface\\AddOns\\vCrit\\crit.ogg")
	elseif (randyell == 2) then
	PlaySoundFile ("Interface\\AddOns\\vCrit\\Crit2.ogg")
	elseif (randyell == 3) then
	PlaySoundFile ("Interface\\AddOns\\vCrit\\Crit6.ogg")
	elseif (randyell == 4) then
	PlaySoundFile ("Interface\\AddOns\\vCrit\\1.ogg")
	elseif (randyell == 5) then
	PlaySoundFile ("Interface\\AddOns\\vCrit\\2.ogg")
	elseif (randyell == 6) then
	PlaySoundFile ("Interface\\AddOns\\vCrit\\3.ogg")
	end
end